Loading...
Searching...
No Matches
DcmStackNode Class Reference

helper class used by DcmStack. More...

## Public Member Functions

| DcmStackNode (DcmObject *obj)
| constructor.
| ~DcmStackNode ()
| destructor, non virtual.
DcmObject * | value () const
| return pointer maintained by this entry

## Private Member Functions

| DcmStackNode (const DcmStackNode &)
| private undefined copy constructor
DcmStackNode & | operator= (const DcmStackNode &)
| private undefined copy assignment operator

## Private Attributes

DcmStackNode * | link
| pointer to next stack entry, NULL if last one
DcmObject * | objNodeValue
| pointer to object referenced by this stack entry

## Friends

class | DcmStack
| class DcmStack directly manipulates the pointer chain

## Detailed Description

helper class used by DcmStack.

Maintains a single stack entry.

## Constructor & Destructor Documentation

## DcmStackNode()

DcmStackNode::DcmStackNode | ( | DcmObject * | obj | ) |

constructor.

Parameters

  obj | object pointer for this stack entry

Referenced by DcmStackNode(), and operator=().

## Member Function Documentation

## value()

DcmObject * DcmStackNode::value | ( |  | ) | const

return pointer maintained by this entry

Returns
  object pointer

The documentation for this class was generated from the following file:

- dcmdata/include/dcmtk/dcmdata/dcstack.h

Generated on for DCMTK Version 3.7.0 by Doxygen 1.15.0